/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../assets/models/pokerchip.h"
#include "../../file/asset.h"
#include "../../display/shader.h"
#include "../../display/texture.h"

void holdemRenderChipSet(int32_t count,float x,float y,float z,float yaw);

pokerposition_t holdemRenderChipGetPosition(uint8_t seat);

/**
 * Init the poker chips renderer for each player.
 */
void holdemRenderChipInit();

/**
 * Render the poker chips.
 */
void holdemRenderChip();